Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.evaluator
Interface AttributeEvaluator

All Known Implementing Classes:
  AbstractAttributeEvaluator, DirectAttributeEvaluator, ELAttributeEvaluator, ELAttributeEvaluator, MVELAttributeEvaluator, OGNLAttributeEvaluator

    public interface AttributeEvaluator

It represents an object that resolves a string to return an object.

Since:
  2.1.0
Version:
  $Rev: 644022 $ $Date: 2008-04-02 21:46:59 +0200 (mer, 02 apr 2008) $

Method Summary
`java.lang.Object` | `evaluate(Attribute attribute, TilesRequestContext request)` Evaluates an attribute value.
`java.lang.Object` | `evaluate(java.lang.String expression, TilesRequestContext request)` Evaluates an expression.
`void` | `init(java.util.Map<java.lang.String,java.lang.String> initParameters)` Initializes the attribute evaluator.

Method Detail

### init

    void init(java.util.Map<java.lang.String,java.lang.String> initParameters)

  Initializes the attribute evaluator.

  Parameters:
    `initParameters` - The initialization parameters.
  Since:
    2.1.0

### evaluate

    java.lang.Object evaluate(java.lang.String expression,
                              TilesRequestContext request)

  Evaluates an expression.

  Parameters:
    `expression` - The expression to evaluate.
    `request` - The request object.
  Returns:
    The evaluated object.
  Since:
    2.1.0

### evaluate

    java.lang.Object evaluate(Attribute attribute,
                              TilesRequestContext request)

  Evaluates an attribute value.

  Parameters:
    `attribute` - The attribute to evaluate.
    `request` - The request object.
  Returns:
    The evaluated object.
  Since:
    2.1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.